Summary: Nagios plugins for the VMWare ESX3i host
%define name nagios-plugins-esx3i
Name: %{name}
%define version 1.0.3
%define release 0.el4
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
URL: http://cars.lostroncos.org/category/nagios/
Packager: Michael Weinberger <mweinber@neddix.de>
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: nagios
AutoReq: no

%changelog
* Sun Nov 16 2008 Michael Weinberger <mweinber@neddix.de>
  modified perdata output of check_3i_dell_temp_sensor
* Thu Oct 23 2008 Michael Weinberger <mweinber@neddix.de>
  modified result strings
* Wed Oct 22 2008 Michael Weinberger <mweinber@neddix.de>
  added caller sh scripts
  added check_3i_dell_temp_sensor
- Initial release
* Tue Oct 21 2008 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
ESX 3i scripts for Nagios
Author: Carlos Roberto Tronco
Have only been tested on Dell PowerEdge 2950 and 2900

check_3i_storage -password <passwd> -username <user> -server <ip addr/hostname>
check_3i_cpu -password <passwd> -username <user> -server <ip addr/hostname>
check_3i_memory -password <passwd> -username <user> -server <ip addr/hostname>
check_3i_sensors -password <passwd> -username <user> -server <ip addr/hostname>
check_3i_dell_temp_sensor -password <passwd> -username <user> -server <ip addr/hostname>

define service{
use                             generic-service
host_name                       svr-esx-test-01.company.com
service_description             ESX 3i Storage Status
check_command                   check_3i_storage!root!mypassword!
}

define command{
command_name    check_3i_storage
command_line    $USER1$/check_3i_storage --server $HOSTADDRESS$ --username $ARG1$ --password $ARG2$}


%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/nagios/plugins/@%attr(0550,nagios,root) &@"\
 >> %{name}-%{version}-filelist
 cat  %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
